/*
 * This file is generated from ./asm/directiv.dat
 * by perfhash.pl; do not edit.
 */

#include "directiv.h"

const char * const directive_tbl[40] = {
    "absolute",
    "bits",
    "common",
    "cpu",
    "debug",
    "default",
    "extern",
    "float",
    "global",
    "static",
    "list",
    "section",
    "segment",
    "warning",
    "sectalign",
    "pragma",
    "required",
    "export",
    "group",
    "import",
    "library",
    "map",
    "module",
    "org",
    "osabi",
    "safeseh",
    "uppercase",
    "prefix",
    "suffix",
    "gprefix",
    "gsuffix",
    "lprefix",
    "lsuffix",
    "limit",
    "options",
    "subsections_via_symbols",
    "no_dead_strip",
    "maxdump",
    "nodepend",
    "noseclabels"
};

#define INVALID_HASH_ENTRY (65536/3)

static const int16_t directive_hashvals[128] = {
    0,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    0,
    6,
    0,
    0,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    0,
    3,
    INVALID_HASH_ENTRY,
    0,
    0,
    0,
    32,
    0,
    4,
    0,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    12,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    1,
    INVALID_HASH_ENTRY,
    0,
    33,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    0,
    0,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    25,
    38,
    1,
    9,
    INVALID_HASH_ENTRY,
    31,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    -12,
    0,
    INVALID_HASH_ENTRY,
    34,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    29,
    INVALID_HASH_ENTRY,
    13,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    27,
    INVALID_HASH_ENTRY,
    7,
    22,
    0,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    19,
    INVALID_HASH_ENTRY,
    37,
    5,
    -11,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    16,
    15,
    11,
    INVALID_HASH_ENTRY,
    23,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    0,
    36,
    12,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    27,
    INVALID_HASH_ENTRY,
    21,
    26,
    10,
    5,
    29,
    35,
    INVALID_HASH_ENTRY,
    INVALID_HASH_ENTRY,
    30,
    INVALID_HASH_ENTRY,
    28,
    4,
    INVALID_HASH_ENTRY
};

const struct perfect_hash directive_hash = {
    UINT64_C(0x076259c3e291c26c),
    UINT32_C(0x7e),
    UINT32_C(40),
    3,
    (D_unknown),
    directive_hashvals,
    directive_tbl
};
